<?php

if (!function_exists('normalize_name')) {

    function normalize_name($text, $limit = 0) {

        $simbolosNoPermitidos = array(' ', '_', '.',
            'á', 'à', 'ä', 'â', 'ª', 'Á', 'À', 'Â', 'Ä',
            'é', 'è', 'ë', 'ê', 'É', 'È', 'Ê', 'Ë',
            'í', 'ì', 'ï', 'î', 'Í', 'Ì', 'Ï', 'Î',
            'ó', 'ò', 'ö', 'ô', 'Ó', 'Ò', 'Ö', 'Ô',
            'ú', 'ù', 'ü', 'û', 'Ú', 'Ù', 'Û', 'Ü',
            'ñ', 'Ñ', 'ç', 'Ç', '\\', '¨', 'º', '~',
            '#', '@', '|', '!', '\"', '·', '$', '%', '&', '/',
            '(', ')', '?', '¿', "'", '¡', '¿', '[', '^', '`', ']',
            '+', '}', '{', '¨', '´', '>', '<', ';', ',', ':'
        );
        $simbolosReemplazantes = array('-', '-', '',
            'a', 'a', 'a', 'a', 'a', 'A', 'A', 'A', 'A',
            'e', 'e', 'e', 'e', 'E', 'E', 'E', 'E',
            'i', 'i', 'i', 'i', 'I', 'I', 'I', 'I',
            'o', 'o', 'o', 'o', 'O', 'O', 'O', 'O',
            'u', 'u', 'u', 'u', 'U', 'U', 'U', 'U',
            'n', 'N', 'c', 'C', '-');
        if ($limit > 0) {
            if (strlen($text) > $limit) {
                $text = substr($text, 0, strrpos(substr($text, 0, $limit), ' '));
            }
        }
        $text = str_replace($simbolosNoPermitidos, $simbolosReemplazantes, $text);
        $text = preg_replace('([^A-Za-z0-9_])', '-', $text);
        return $text;
    }

}