<head>
    <meta charset="UTF-8">
    <title>Reporte de Movimientos de Caja</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            font-size: 10pt;
            margin: 0;
            padding: 0;
        }
        .header {
            text-align: center;
            margin-bottom: 20px;
        }
        .logo {
            max-width: 120px;
            margin-bottom: 10px;
        }
        .title {
            font-size: 18pt;
            font-weight: bold;
            margin-bottom: 5px;
        }
        .subtitle {
            font-size: 12pt;
            margin-bottom: 15px;
        }
        .info {
            margin-bottom: 15px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 20px;
        }
        th {
            background-color: #4F81BD;
            color: white;
            font-weight: bold;
            padding: 5px;
            text-align: left;
            border: 1px solid #ddd;
        }
        td {
            padding: 5px;
            border: 1px solid #ddd;
        }
        .total-row {
            background-color: #f2f2f2;
            font-weight: bold;
        }
        .amount {
            text-align: right;
        }
        .footer {
            text-align: center;
            font-size: 8pt;
            margin-top: 30px;
            border-top: 1px solid #ddd;
            padding-top: 10px;
        }
    </style>
</head>
<body>
    <div class="header">
        <img src="<?= base_url('images/logobg.png') ?>" alt="Logo" class="logo">
        <div class="title">Reporte de Movimientos de Caja</div>
        <div class="subtitle">
            Período: <?= isset($filtros['fecha_inicio']) ? date('d/m/Y', strtotime($filtros['fecha_inicio'])) : 'Inicio' ?> - <?= isset($filtros['fecha_fin']) ? date('d/m/Y', strtotime($filtros['fecha_fin'])) : 'Fin' ?>
        </div>
    </div>
    
    <div class="info">
        <strong>Caja ID:</strong> <?= isset($filtros['caja_id']) ? $filtros['caja_id'] : 'Todas' ?>
        <br>
        <strong>Fecha de generación:</strong> <?= date('d/m/Y H:i:s') ?>
    </div>
    
    <table>
        <thead>
            <tr>
                <th>Referencia</th>
                <th>Tipo</th>
                <th>Monto</th>
                <th>Saldo Anterior</th>
                <th>Saldo Nuevo</th>
                <th>Fecha</th>
                <th>Usuario</th>
            </tr>
        </thead>
        <tbody>
            <?php 
            $total_monto = 0;
            foreach($movimientos as $mov): 
                $total_monto += floatval($mov['monto']);
            ?>
            <tr>
                <td><?= $mov['referencia'] ?></td>
                <td><?= $mov['tipo_movimiento'] ?></td>
                <td class="amount">$<?= number_format($mov['monto'], 2) ?></td>
                <td class="amount">$<?= number_format($mov['saldo_anterior'], 2) ?></td>
                <td class="amount">$<?= number_format($mov['saldo_nuevo'], 2) ?></td>
                <td><?= date('d/m/Y H:i', strtotime($mov['fecha_movimiento'])) ?></td>
                <td><?= isset($mov['nombre_usuario']) ? $mov['nombre_usuario'] : 'Usuario' ?></td>
            </tr>
            <?php endforeach; ?>
        </tbody>
        <tfoot>
            <tr class="total-row">
                <td colspan="2" style="text-align: right;">Total:</td>
                <td class="amount">$<?= number_format($total_monto, 2) ?></td>
                <td colspan="4"></td>
            </tr>
        </tfoot>
    </table>
    
    <div class="footer">
        Reporte generado el <?= date('d/m/Y H:i:s') ?>
        <br>
        Página 1 de 1
    </div>
</body>
