<head>
    <meta charset="utf-8">
    <title>Comprobante de Retiro</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            font-size: 12px;
            line-height: 1.4;
        }
        .ticket {
            width: 100%;
            max-width: 80mm;
            margin: 0 auto;
        }
        .header {
            text-align: center;
            margin-bottom: 10px;
        }
        .logo {
            max-width: 60%;
            height: auto;
            margin-bottom: 5px;
        }
        .title {
            font-size: 14px;
            font-weight: bold;
            margin: 10px 0;
            text-align: center;
        }
        .info {
            margin-bottom: 10px;
        }
        .info p {
            margin: 3px 0;
        }
        .divider {
            border-top: 1px dashed #000;
            margin: 10px 0;
        }
        .detail {
            display: flex;
            justify-content: space-between;
            margin: 5px 0;
        }
        .text-right {
            text-align: right;
        }
        .text-center {
            text-align: center;
        }
        .footer {
            margin-top: 10px;
            text-align: center;
            font-size: 10px;
        }
    </style>
</head>
<body>
    <div class="ticket">
        <div class="header">
            <!-- Usar site_url() o una ruta relativa en lugar de base_url() -->
            <?php if (file_exists(FCPATH . 'assets/img/logo.png')): ?>
                <img src="<?php echo $base_url; ?>/assets/img/logo.png" alt="Logo" class="logo">
            <?php else: ?>
                <h2 style="margin:5px 0;">SISTEMA DE GESTIÓN</h2>
            <?php endif; ?>
        </div>

        <div class="title">COMPROBANTE DE RETIRO DE CAJA</div>

        <div class="info">
            <p><strong>Referencia:</strong> <?= $retiro['referencia'] ?></p>
            <p><strong>Fecha:</strong> <?= date('d/m/Y H:i:s', strtotime($retiro['fecha_retiro'])) ?></p>
            <p><strong>ID Caja:</strong> <?= $retiro['caja_id'] ?></p>
            <p><strong>Usuario:</strong> <?= $retiro['nombre_usuario'] ?></p>
        </div>

        <div class="divider"></div>

        <div class="info">
            <p><strong>Concepto:</strong> <?= $retiro['concepto'] ?></p>
            <?php if (isset($retiro['observaciones']) && !empty($retiro['observaciones'])): ?>
            <p><strong>Observaciones:</strong> <?= $retiro['observaciones'] ?></p>
            <?php endif; ?>
        </div>

        <div class="divider"></div>

        <div class="detail">
            <span><strong>Monto Retirado:</strong></span>
            <span>$ <?= number_format($retiro['monto'], 2) ?></span>
        </div>
        <div class="detail">
            <span><strong>Saldo Anterior:</strong></span>
            <span>$ <?= number_format($retiro['saldo_anterior'], 2) ?></span>
        </div>
        <div class="detail">
            <span><strong>Saldo Nuevo:</strong></span>
            <span>$ <?= number_format($retiro['saldo_nuevo'], 2) ?></span>
        </div>

        <div class="divider"></div>

        <div class="info text-center">
            <p>Firma de Recepción:</p>
            <br><br><br>
            <p>_____________________________</p>
            <p><?= $retiro['nombre_usuario'] ?></p>
        </div>

        <div class="footer">
            <p>Fecha y hora de impresión: <?= date('d/m/Y H:i:s') ?></p>
        </div>
    </div>
</body>