<head>
    <meta charset="UTF-8">
    <title>Histórico de Recargas - TAG</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            font-size: 10pt;
            margin: 0;
            padding: 0;
        }
        .header {
            text-align: center;
            margin-bottom: 20px;
            padding: 10px;
            border-bottom: 2px solid #4F81BD;
        }
        .logo {
            max-width: 120px;
            margin-bottom: 10px;
        }
        .title {
            font-size: 18pt;
            font-weight: bold;
            color: #4F81BD;
            margin-bottom: 5px;
        }
        .subtitle {
            font-size: 12pt;
            color: #666;
        }
        .tag-info {
            background-color: #f8f9fa;
            padding: 10px;
            margin-bottom: 20px;
            border: 1px solid #ddd;
            border-radius: 4px;
        }
        .tag-info div {
            margin-bottom: 5px;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 20px;
        }
        th {
            background-color: #4F81BD;
            color: white;
            font-weight: bold;
            padding: 8px;
            text-align: left;
            border: 1px solid #ddd;
        }
        td {
            padding: 8px;
            border: 1px solid #ddd;
        }
        tr:nth-child(even) {
            background-color: #f8f9fa;
        }
        .amount {
            text-align: right;
        }
        .totals {
            background-color: #e8eef7;
            font-weight: bold;
        }
        .footer {
            text-align: center;
            font-size: 8pt;
            margin-top: 20px;
            padding-top: 10px;
            border-top: 1px solid #ddd;
            color: #666;
        }
    </style>
</head>
<body>
    <div class="header">
        <img src="<?= base_url('images/logobg.png') ?>" alt="Logo" class="logo">
        <div class="title">Histórico de Recargas</div>
        <div class="subtitle">Reporte Detallado de TAG</div>
    </div>

    <div class="tag-info">
        <div><strong>Número de TAG:</strong> <?= $tag_info['numero_tag'] ?></div>
        <?php if(!empty($tag_info['numero_economico'])): ?>
        <div><strong>Número Económico:</strong> <?= $tag_info['numero_economico'] ?></div>
        <div><strong>Modalidad:</strong> <?= $tag_info['modalidad_nombre'] ?></div>
        <?php endif; ?>
        <div><strong>Fecha de Activación:</strong> <?= date('d/m/Y', strtotime($tag_info['fecha_activacion'])) ?></div>
        <div><strong>Saldo Actual:</strong> $<?= number_format($tag_info['saldo'], 2) ?></div>
        <div><strong>Estado:</strong> <?= $tag_info['status'] == 1 ? 'Activo' : 'Inactivo' ?></div>
    </div>

    <table>
        <thead>
            <tr>
                <th>Fecha y Hora</th>
                <th>Referencia</th>
                <th>Tipo</th>
                <th>Monto</th>
                <th>Saldo Anterior</th>
                <th>Saldo Nuevo</th>
                <th>Comentario</th>
            </tr>
        </thead>
        <tbody>
            <?php 
            $total_recargas = 0;
            foreach($recargas as $recarga): 
                $total_recargas += $recarga['monto'];
            ?>
            <tr>
                <td><?= date('d/m/Y H:i', strtotime($recarga['created_at'])) ?></td>
                <td><?= $recarga['referencia'] ?></td>
                <td><?= $recarga['tipo_movimiento'] ?></td>
                <td class="amount">$<?= number_format($recarga['monto'], 2) ?></td>
                <td class="amount">$<?= number_format($recarga['saldo_anterior'], 2) ?></td>
                <td class="amount">$<?= number_format($recarga['saldo_nuevo'], 2) ?></td>
                <td><?= $recarga['comentario'] ?? '' ?></td>
            </tr>
            <?php endforeach; ?>
        </tbody>
        <tfoot>
            <tr class="totals">
                <td colspan="3" style="text-align: right;"><strong>Total Recargas:</strong></td>
                <td class="amount"><strong>$<?= number_format($total_recargas, 2) ?></strong></td>
                <td colspan="3"></td>
            </tr>
        </tfoot>
    </table>

    <div class="footer">
        <div>Reporte generado el <?= date('d/m/Y H:i:s', strtotime($fecha_generacion)) ?></div>
        <div>Este documento es un reporte informativo y no tiene validez fiscal</div>
    </div>
</body>