<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Comprobante de Recarga</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            font-size: 10pt;
            margin: 0;
            padding: 0;
        }
        .header {
            text-align: center;
            margin-bottom: 10px;
            border-bottom: 1px dashed #000;
            padding-bottom: 5px;
        }
        .logo {
            max-width: 120px;
            margin-bottom: 5px;
        }
        .title {
            font-size: 12pt;
            font-weight: bold;
            margin: 5px 0;
        }
        .info {
            margin-bottom: 15px;
        }
        .info-row {
            display: flex;
            justify-content: space-between;
            margin-bottom: 3px;
        }
        .label {
            font-weight: bold;
        }
        .amount-section {
            border-top: 1px dashed #000;
            border-bottom: 1px dashed #000;
            padding: 8px 0;
            margin: 10px 0;
        }
        .total-row {
            font-weight: bold;
            font-size: 11pt;
        }
        .comment {
            margin: 10px 0;
        }
        .footer {
            text-align: center;
            margin-top: 15px;
            font-size: 8pt;
            border-top: 1px dashed #000;
            padding-top: 5px;
        }
    </style>
</head>
<body>
    <div class="header">
        <img src="<?= base_url('images/logobg.png') ?>" alt="Logo" class="logo">
        <div class="title">COMPROBANTE DE RECARGA</div>
    </div>
    
    <div class="info">
        <div class="info-row">
            <span class="label">Fecha:</span>
            <span><?= date('d/m/Y', strtotime($recarga['created_at'])) ?></span>
        </div>
        <div class="info-row">
            <span class="label">Hora:</span>
            <span><?= date('H:i:s', strtotime($recarga['created_at'])) ?></span>
        </div>
        <div class="info-row">
            <span class="label">Referencia:</span>
            <span><?= $recarga['referencia'] ?></span>
        </div>
        <div class="info-row">
            <span class="label">Número TAG:</span>
            <span><?= $recarga['numero_tag'] ?></span>
        </div>
        <?php if (!empty($recarga['numero_economico'])): ?>
        <div class="info-row">
            <span class="label">Número Económico:</span>
            <span><?= $recarga['modalidad_nombre'] ?> - <?= $recarga['numero_economico'] ?></span>
        </div>
        <?php endif; ?>
        <div class="info-row">
            <span class="label">Tipo Movimiento:</span>
            <span><?= $recarga['tipo_movimiento'] ?></span>
        </div>
    </div>
    
    <div class="amount-section">
        <div class="info-row">
            <span class="label">Monto Recarga:</span>
            <span>$<?= number_format($recarga['monto'], 2) ?></span>
        </div>
        <div class="info-row">
            <span class="label">Saldo Anterior:</span>
            <span>$<?= number_format($recarga['saldo_anterior'], 2) ?></span>
        </div>
        <div class="info-row total-row">
            <span>Saldo Nuevo:</span>
            <span>$<?= number_format($recarga['saldo_nuevo'], 2) ?></span>
        </div>
    </div>
    
    <?php if (!empty($recarga['comentario'])): ?>
    <div class="comment">
        <div class="label">Comentario:</div>
        <div><?= $recarga['comentario'] ?></div>
    </div>
    <?php endif; ?>
    
    <div class="footer">
        <div>Gracias por su recarga</div>
        <div>Este comprobante no tiene valor fiscal</div>
        <div style="margin-top: 5px;">Comprobante generado el <?= date('d/m/Y H:i:s') ?></div>
    </div>
</body>
</html>