/* global api_url, angular */

angular.module("app").service("TarifasService", [
    '$uhttp',
    function ($uhttp) {
        var controller = "tarifas/";
        
        // Obtener todas las tarifas
        this.getAllTarifas = function (filters) {
            return $uhttp({
                url: api_url + controller + 'get_all',
                method: 'GET',
                params: filters || {}
            });
        };

        // Obtener una tarifa por ID
        this.getTarifaById = function (id) {
            return $uhttp({
                url: api_url + controller + 'get_by_id',
                method: 'GET',
                params: {
                    id: id
                }
            });
        };

        // Obtener todas las modalidades
        this.getModalidades = function () {
            return $uhttp({
                url: api_url + controller + 'get_modalidades',
                method: 'GET'
            });
        };

        // Agregar una nueva tarifa
        this.addTarifa = function (data) {
            return $uhttp({
                url: api_url + controller + 'add',
                method: 'POST',
                data: data
            });
        };

        // Actualizar una tarifa existente
        this.updateTarifa = function (data) {
            return $uhttp({
                url: api_url + controller + 'update',
                method: 'POST',
                data: data
            });
        };

        // Eliminar una tarifa
        this.deleteTarifa = function (id) {
            return $uhttp({
                url: api_url + controller + 'delete',
                method: 'POST',
                data: {
                    id: id
                }
            });
        };
    }
]);